
package de.ivu.elect.presentation.kandidatur.menu;

import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.DirektkandidaturConstants;
import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.kandidatur.DirektkandidaturCreateViewResolver;

public class DirektkandidaturCreateMenuItemEntry extends AbstractDirektkandidaturCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient DirektkandidaturCreateViewResolver direktkandidaturCreateViewResolver;

  public DirektkandidaturCreateMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.DIREKTKANDIDATUR_CREATE);
  }

  @Override
  protected String getViewId(Mandant mandant) {
    return direktkandidaturCreateViewResolver.getViewId(mandant);
  }

  @Override
  public String getLabelKey() {
    return "direktkandidatur.create.menu.item.label";
  }

  @Override
  protected String getEntityEinzahlMessageKey() {
    return DirektkandidaturConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }
}
